> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# List workflow tasks

GET https://{tenant_name}.benchling.com/api/v2/workflow-tasks

List workflow tasks

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/workflow-tasks/list-workflow-tasks

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `ids` (string, optional) — Comma separated list of workflow task IDs
- `workflowTaskGroupIds` (string, optional) — Comma separated list of workflow IDs
- `schemaId` (string, optional) — The ID of the workflow task schema of the workflow task
- `statusIds` (string, optional) — Comma separated list of workflow task status ids
- `assigneeIds` (string, optional) — Comma separated list of user ids or "null"
- `watcherIds` (string, optional) — Comma separated list of user IDs or "null"
- `responsibleTeamIds` (string, optional) — Comma separated list of team IDs or "null"
- `executionOriginIds` (string, optional) — Comma separated list of entry IDs
- `executionTypes` (string, optional) — Comma separated list of workflow execution types. Acceptable execution types are "DIRECT" and "ENTRY"
- `linkedItemIds.anyOf` (string, optional) — Comma separated list of bioentity or storable IDs. Maximum of 100. Returns workflow tasks where the task's schema fields reference at least one of the provided items.
- `linkedItemIds.allOf` (string, optional) — Comma separated list of bioentity or storable IDs. Returns workflow tasks where the task's schema fields reference all of the provided items.
- `linkedItemIds.noneOf` (string, optional) — Comma separated list of bioentity or storable IDs. Returns workflow tasks where the task's schema fields do not reference any of the provided items.
- `schemaFields` (map from string to any, optional) — Filter based on schema field value (not display value). Restricts results to those with a field whose value matches the filter. For Integer, Float, and Date type fields, supports the >= and \<= operators (but not \< or >). If any schemaField filters are present, the schemaId param must also be present. Note that all operators must be separated from any values by a single space.
- `name` (string, optional) — The name of the workflow task
- `nameIncludes` (string, optional) — Part of the name of the workflow task
- `creatorIds` (string, optional) — Comma separated list of user IDs.
- `scheduledOn` (WorkflowTasksGetParametersScheduledOn, optional) — The date on which the task was scheduled to be executed. Returns tasks which are scheduled on the provided date. If "null" is provided returns tasks which are unshceduled.
- `scheduledOn.lt` (date, optional) — The date on which the task was scheduled to be executed. Returns tasks which are scheduled before the provided date.
- `scheduledOn.lte` (date, optional) — The date on which the task was scheduled to be executed. Returns tasks which are scheduled before or on the provided date.
- `scheduledOn.gte` (date, optional) — The date on which the task was scheduled to be executed. Returns tasks which are scheduled on or after the provided date.
- `scheduledOn.gt` (date, optional) — The date on which the task was scheduled to be executed. Returns tasks which are scheduled after the provided date.
- `modifiedAt` (string, optional) — Datetime, in RFC 3339 format. Supports the > and \< operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND \<YYYY-MM-DD.
- `nextToken` (string, optional)
- `pageSize` (integer, optional, default: 50)
- `displayIds` (string, optional) — Comma-separated list of Workflow Task Display IDs.
- `archiveReason` (string, optional) — Archive reason. Restricts items to those with the specified archive reason. Use "NOT_ARCHIVED" to filter for unarchived workflow tasks. Use "ANY_ARCHIVED" to filter for archived workflow tasks regardless of reason. Use "ANY_ARCHIVED_OR_NOT_ARCHIVED" to return items for both archived and unarchived.

## Response

### 200

OK

- `nextToken` (string, optional)
- `workflowTasks` (list of WorkflowTask, optional)

## Errors

### 400 Bad Request Error

Bad request

- `error` (BadRequestErrorError, optional)

## Types

### WorkflowTasksGetParametersScheduledOn

### WorkflowTask

- `displayId` (string, optional) — User-friendly ID of the workflow task
- `id` (string, optional) — The ID of the workflow task
- `archiveRecord` (ArchiveRecord, optional, nullable)
- `assignee` (UserSummary, optional, nullable)
- `clonedFrom` (WorkflowTaskSummary, optional, nullable)
- `createdAt` (string, optional) — The ISO formatted date and time that the task was created
- `creationOrigin` (CreationOrigin, optional)
- `creator` (UserSummary, optional)
- `executionOrigin` (WorkflowTaskExecutionOrigin, optional, nullable) — The context into which a task was executed
- `fields` (map from string to Field, optional)
- `modifiedAt` (string, optional) — The ISO formatted date and time that the task was last modified
- `outputs` (list of WorkflowOutputSummary, optional)
- `scheduledOn` (date, optional, nullable) — The date on which the task is scheduled to be executed
- `schema` (WorkflowTaskSchemaSummary, optional)
- `status` (WorkflowTaskStatus, optional)
- `webURL` (string, optional) — URL of the workflow task
- `workflowTaskGroup` (WorkflowTaskGroupSummary, optional)
- `executionFlowchartId` (string, optional) — The ID of the flowchart that this task will execute. This will only be defined if the task has exectutionType FLOWCHART
- `executionType` (enum, optional) — The method by which the task of the workflow is executed
  - Allowed values: `DIRECT`, `ENTRY`, `FLOWCHART`, `PROCEDURE`, `PROCEDURE_METHOD`, `PROCEDURE_STEP`
- `nextOutputs` (list of WorkflowOutputSummary, optional) — The outputs in the flowchart which are generated by this task.
- `nextTasks` (list of WorkflowTaskSummary, optional) — The downstream tasks in the flowchart which are generated by this task.
- `responsibleParties` (list of PartySummary, optional) — List of users and teams that are responsible for this task
- `rootTask` (WorkflowTaskSummary, optional) — The task which is at the root of the flowchart. This will be null if the task is not part of a flowchart.
- `sourceOutputs` (list of WorkflowOutputSummary, optional) — The parent outputs in the flowchart which were used to generate this task.
- `sourceTasks` (list of WorkflowTaskSummary, optional) — The parent tasks in the flowchart which were used to generate this task.
- `workflowOutputs` (list of WorkflowOutputSummary, optional) — The outputs of the workflow task group

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

### ArchiveRecord

- `reason` (string, optional)

### UserSummary

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

### WorkflowTaskSummary

- `displayId` (string, optional) — User-friendly ID of the workflow task
- `id` (string, optional) — The ID of the workflow task

### CreationOrigin

- `application` (string, optional, nullable)
- `originId` (string, optional, nullable)
- `originModalUuid` (string, optional, nullable)
- `originType` (string, optional, nullable)

### WorkflowTaskExecutionOrigin

The context into which a task was executed

- `entryId` (string, optional, nullable)
- `originModalUuid` (string, optional, nullable)
- `type` (enum, optional)
  - Allowed values: `API`, `ENTRY`, `MODAL`

### Field

- `value` (FieldValue, required, nullable) — For single link fields, use the id of the item you want to link (eg. "seq_jdf8BV24"). For multi-link fields, use an array of ids of the items you want to link (eg. ["seq_jdf8BV24"])
- `displayValue` (string, optional, nullable)
- `isMulti` (boolean, optional)
- `textValue` (string, optional, nullable)
- `type` (enum, optional)
  - Allowed values: `dna_sequence_link`, `aa_sequence_link`, `custom_entity_link`, `entity_link`, `mixture_link`, `molecule_link`, `dropdown`, `part_link`, `translation_link`, `aa_part_link`, `base_molecule_link`, `blob_link`, `text`, `long_text`, `batch_link`, `storage_link`, `entry_link`, `assay_request_link`, `assay_result_link`, `assay_run_link`, `boolean`, `float`, `integer`, `datetime`, `date`, `json`

### WorkflowOutputSummary

- `displayId` (string, optional) — User-friendly ID of the workflow task group
- `id` (string, optional) — The ID of the workflow output

### WorkflowTaskSchemaSummary

- `id` (string, optional) — The ID of the workflow task schema
- `name` (string, optional) — The name of the workflow task schema

### WorkflowTaskStatus

- `displayName` (string, optional) — The status label
- `id` (string, optional) — The ID of the workflow task status
- `statusType` (enum, optional) — The status type
  - Allowed values: `PENDING`, `IN_PROGRESS`, `FAILED`, `CANCELLED`, `INVALID`, `COMPLETED`

### WorkflowTaskGroupSummary

- `displayId` (string, optional) — User-friendly ID of the workflow task group
- `id` (string, optional) — The ID of the workflow task group
- `name` (string, optional) — The name of the workflow task group

### PartySummary

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

### FieldValue

For single link fields, use the id of the item you want to link (eg. "seq_jdf8BV24"). For multi-link fields, use an array of ids of the items you want to link (eg. ["seq_jdf8BV24"])

## Examples

**Response**

```json
{
  "nextToken": "Im5ldyB0ZXN0Ig==",
  "workflowTasks": [
    {
      "displayId": "string",
      "id": "wftask_OnnsW08k",
      "archiveRecord": {
        "reason": "Made in error"
      },
      "assignee": {
        "handle": "string",
        "id": "string",
        "name": "string"
      },
      "clonedFrom": {
        "displayId": "string",
        "id": "wftask_OnnsW08k"
      },
      "createdAt": "2020-08-01T00:00:00.000Z",
      "creationOrigin": {
        "application": "string",
        "originId": "string",
        "originModalUuid": "string",
        "originType": "string"
      },
      "creator": {
        "handle": "string",
        "id": "string",
        "name": "string"
      },
      "executionOrigin": {
        "entryId": "etr_30ad79",
        "originModalUuid": "e8805895-0654-4613-ac04-39ee7462202e",
        "type": "API"
      },
      "fields": {},
      "modifiedAt": "2020-08-01T00:00:00.000Z",
      "outputs": [
        {
          "displayId": "string",
          "id": "wfout_5cJLQKVF"
        }
      ],
      "scheduledOn": "2020-08-01",
      "schema": {
        "id": "string",
        "name": "string"
      },
      "status": {
        "displayName": "Pending",
        "id": "wfts_wQzUCsW0",
        "statusType": "PENDING"
      },
      "webURL": "string",
      "workflowTaskGroup": {
        "displayId": "string",
        "id": "prs_giVNQcTL",
        "name": "string"
      },
      "executionFlowchartId": "wffc_6fd512",
      "executionType": "DIRECT",
      "nextOutputs": [
        {
          "displayId": "string",
          "id": "wfout_5cJLQKVF"
        }
      ],
      "nextTasks": [
        {
          "displayId": "string",
          "id": "wftask_OnnsW08k"
        }
      ],
      "responsibleParties": [
        {
          "handle": "string",
          "id": "string",
          "name": "string"
        }
      ],
      "rootTask": {
        "displayId": "string",
        "id": "wftask_OnnsW08k"
      },
      "sourceOutputs": [
        {
          "displayId": "string",
          "id": "wfout_5cJLQKVF"
        }
      ],
      "sourceTasks": [
        {
          "displayId": "string",
          "id": "wftask_OnnsW08k"
        }
      ],
      "workflowOutputs": [
        {
          "displayId": "string",
          "id": "wfout_5cJLQKVF"
        }
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/workflow-tasks"

querystring = {"archiveReason":"NOT_ARCHIVED","modifiedAt":"> 2022-03-01 AND < 2022-04-01","nextToken":"Im5ldyB0ZXN0Ig=="}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/workflow-tasks?archiveReason=NOT_ARCHIVED&modifiedAt=%3E+2022-03-01+AND+%3C+2022-04-01&nextToken=Im5ldyB0ZXN0Ig%3D%3D';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```